List Agents in Inbox
curl --request GET \
--url https://app.yampi.ai/api/v1/accounts/{account_id}/inbox_members/{inbox_id} \
--header 'api_access_token: <api-key>'const options = {method: 'GET', headers: {api_access_token: '<api-key>'}};
fetch('https://app.yampi.ai/api/v1/accounts/{account_id}/inbox_members/{inbox_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.yampi.ai/api/v1/accounts/{account_id}/inbox_members/{inbox_id}"
headers = {"api_access_token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"payload": [
{
"id": 123,
"account_id": 123,
"availability_status": "online",
"auto_offline": true,
"confirmed": true,
"email": "<string>",
"available_name": "<string>",
"name": "<string>",
"role": "agent",
"thumbnail": "<string>",
"custom_role_id": 123
}
]
}{
"description": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}{
"description": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}Inboxes
List Agents in Inbox
Get Details of Agents in an Inbox
GET
/
api
/
v1
/
accounts
/
{account_id}
/
inbox_members
/
{inbox_id}
List Agents in Inbox
curl --request GET \
--url https://app.yampi.ai/api/v1/accounts/{account_id}/inbox_members/{inbox_id} \
--header 'api_access_token: <api-key>'const options = {method: 'GET', headers: {api_access_token: '<api-key>'}};
fetch('https://app.yampi.ai/api/v1/accounts/{account_id}/inbox_members/{inbox_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.yampi.ai/api/v1/accounts/{account_id}/inbox_members/{inbox_id}"
headers = {"api_access_token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"payload": [
{
"id": 123,
"account_id": 123,
"availability_status": "online",
"auto_offline": true,
"confirmed": true,
"email": "<string>",
"available_name": "<string>",
"name": "<string>",
"role": "agent",
"thumbnail": "<string>",
"custom_role_id": 123
}
]
}{
"description": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}{
"description": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}Authorizations
Token de usuario. Envía el valor en el header api_access_token. Lo obtienes en el perfil (GET /api/v1/profile) o al regenerarlo.
Path Parameters
The ID of the Inbox
The numeric ID of the account
Response
Success
Array of all active agents
Show child attributes
Show child attributes